## UDisksLinuxMDRaid

UDisksLinuxMDRaid — Linux implementation of UDisksMDRaid

## Functions

UDisksMDRaid * | udisks_linux_mdraid_new ()
gboolean | udisks_linux_mdraid_update ()

## Types and Values

| UDisksLinuxMDRaid

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksMDRaidSkeleton
                ╰── UDisksLinuxMDRaid

## Implemented Interfaces

UDisksLinuxMDRaid implements GDBusInterface and UDisksMDRaid.

## Description

This type provides an implementation of the UDisksMDRaid interface on Linux.

## Functions

### udisks_linux_mdraid_new ()

    UDisksMDRaid *
    udisks_linux_mdraid_new (void);

Creates a new UDisksLinuxMDRaid instance.

#### Returns

A new UDisksLinuxMDRaid. Free with `g_object_unref()`.

### udisks_linux_mdraid_update ()

    gboolean
    udisks_linux_mdraid_update (UDisksLinuxMDRaid *mdraid,
                                UDisksLinuxMDRaidObject *object);

Updates the interface.

#### Parameters

mdraid | A UDisksLinuxMDRaid. |
object | The enclosing UDisksLinuxMDRaidObject instance. |

#### Returns

`TRUE` if configuration has changed, `FALSE` otherwise.

## Types and Values

### UDisksLinuxMDRaid

    typedef struct _UDisksLinuxMDRaid UDisksLinuxMDRaid;

The UDisksLinuxMDRaid structure contains only private data and should only be accessed using the provided API.